Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.service
Interface PricingRequest

All Superinterfaces
  Serializable

All Known Implementing Classes:
  PricingRequestImpl

Deprecated

    @Deprecated
    public interface PricingRequest

extends Serializable

This class is used as input to the computeSubtotal() and computeTotal() operations of the PriceService. PricingRequest attributes allow the request to be customized without changing the interface. This interface is not intended for concurrent use and may produce unpredicatable results if used concurrently.

See Also
  `PriceService`, `PricingRequestImpl`, `PricingReply`, `CustomerPk`, `Line`, `Money`

Method Summary
`Serializable` | `getAttribute(String name)` Deprecated Retrieves the value of a request attribute by name.
`Money` | `getBaseShipping()` Deprecated Retreives the base shipping cost for the request.
`CustomerPk` | `getCustomerPK()` Deprecated Retrieves the CustomerPk associated with this request.
`Calendar` | `getEffectiveDate()` Deprecated The effective date is the date which the Price Service will use to determine whether a given discount is in effect.
`Line[]` | `getLines()` Deprecated Retrieves the Line items for this pricing operation.

Method Detail

### getCustomerPK

    CustomerPk getCustomerPK()

  Deprecated
  Retrieves the CustomerPk associated with this request. A null value indicates an anonymous customer.

  Returns
    a CustomerPk object.
  See Also
    `CustomerPk`

### getLines

    Line[] getLines()

  Deprecated
  Retrieves the Line items for this pricing operation.

  Returns
    an array of Line items.
  See Also
    `Line`

### getBaseShipping

    Money getBaseShipping()

  Deprecated
  Retreives the base shipping cost for the request.

  Returns
    com.beasys.commerce.axiom.units.Money corresponding to the base shipping cost.
  See Also
    `Money`

### getAttribute

    Serializable getAttribute(String name)

  Deprecated
  Retrieves the value of a request attribute by name. The semantics of this method are the same as the get() method in the java.util.Map interface. Attributes allow for customization of the PricingRequest without modifying the interface.

  Parameters
    `name` - the name of a request attribute to get the value for.
  Returns
    the value for the named request attribute.
  See Also
    `Map`

### getEffectiveDate

    Calendar getEffectiveDate()

  Deprecated
  The effective date is the date which the Price Service will use to determine whether a given discount is in effect. more precisely if effective date is >= the discount start date and <= the discount end date the discount will be considered for application during the pricing operation. If this value is not set the Price Service will use the current date as obtained through the JVM.

  Returns
    the Calendar object representing the effective date for the pricing operation.
  See Also
    `Calendar`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.